Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-90333

vkEnumerateInstanceVersion must have an equivalent Qt API in QVulkanInstance

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 6.1
    • Fix Version/s: 6.1.0 Alpha
    • Component/s: GUI: Vulkan
    • Labels:
      None
    • Technical Risk:
      Normal
    • Commits:
      7d378bd7804343652fdf1e28744523382280e90e (qt/qtbase/dev)

      Description

      This must be made usable via QVulkanInstance since one may want to know this in order to figure out what to pass in to QVulkanInstance::setApiVersion() before calling create().

      See https://www.khronos.org/registry/vulkan/specs/1.2-extensions/man/html/vkEnumerateInstanceVersion.html

      and the versioning notes in https://www.khronos.org/registry/vulkan/specs/1.2-extensions/man/html/VkApplicationInfo.html

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            lagocs Laszlo Agocs
            Reporter:
            lagocs Laszlo Agocs
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes